//
//SpeedTech textures q3a shaders. 
//
//Author : Speedy (aka Speeds)
//http://www.planetquake.com/speedy
//
//If you change anything, create a new shader file
// and use unique shaders names and paths please,
// to avoid possible problems
//



// light trims 
//
textures/bgmp0/st_tl_white2k
{
	qer_editorimage textures/bgmp0/st_trim64_1light.tga
	q3map_lightimage textures/bgmp0/st_trim64_1light_white.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_trim64_1light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim64_1light_white.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_tl_yellow2k
{
	qer_editorimage textures/bgmp0/st_trim64_1light.tga
	q3map_lightimage textures/bgmp0/st_trim64_1light_yellow.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_trim64_1light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim64_1light_yellow.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_tl_orange2k
{
	qer_editorimage textures/bgmp0/st_trim64_1light.tga
	q3map_lightimage textures/bgmp0/st_trim64_1light_orange.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_trim64_1light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim64_1light_orange.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_tl_cyan2k
{
	qer_editorimage textures/bgmp0/st_trim64_1light.tga
	q3map_lightimage textures/bgmp0/st_trim64_1light_cyan.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_trim64_1light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim64_1light_cyan.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_tl_blue2k
{
	qer_editorimage textures/bgmp0/st_trim64_1light.tga
	q3map_lightimage textures/bgmp0/st_trim64_1light_blue.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_trim64_1light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim64_1light_blue.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_trim32_white1k5
{
	qer_editorimage textures/bgmp0/st_trim32_light.tga
	q3map_lightimage textures/bgmp0/st_trim32_light.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1500
	{
		map textures/bgmp0/st_trim32_light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim32_light.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_tl16_white1k
{
	qer_editorimage textures/bgmp0/st_trim16_light.tga
	q3map_lightimage textures/bgmp0/st_trim16_light_white.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1000
	{
		map textures/bgmp0/st_trim16_light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim16_light_white.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_tl16_blue1k
{
	qer_editorimage textures/bgmp0/st_trim16_light.tga
	q3map_lightimage textures/bgmp0/st_trim16_light_blue.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1000
	{
		map textures/bgmp0/st_trim16_light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim16_light_blue.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_tl16_cyan1k
{
	qer_editorimage textures/bgmp0/st_trim16_light.tga
	q3map_lightimage textures/bgmp0/st_trim16_light_cyan.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1000
	{
		map textures/bgmp0/st_trim16_light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim16_light_cyan.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/bgmp0/st_tl16_yellow1k
{
	qer_editorimage textures/bgmp0/st_trim16_light.tga
	q3map_lightimage textures/bgmp0/st_trim16_light_yellow.blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1000
	{
		map textures/bgmp0/st_trim16_light.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_trim16_light_yellow.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

//lamps//
textures/bgmp0/st_lamp64_wh3k
{
	qer_editorimage textures/bgmp0/st_lamp64.tga
	q3map_lightimage textures/bgmp0/st_lamp64.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map textures/bgmp0/st_lamp64.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_lamp64.blend.tga
		blendfunc add
	}
}

textures/bgmp0/st_lamp64_wh1k_flik
{
	qer_editorimage textures/bgmp0/st_lamp64.tga
	q3map_lightimage textures/bgmp0/st_lamp64.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/bgmp0/st_lamp64.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_lamp64.blend.tga
		blendfunc add
		rgbGen wave noise 0.5 1 2 6 
	}
}

textures/bgmp0/st_lamp192_wh3k
{
	qer_editorimage textures/bgmp0/st_lamp192.tga
	q3map_lightimage textures/bgmp0/st_lamp192.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map textures/bgmp0/st_lamp192.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_lamp192.blend.tga
		blendfunc add
	}
}

textures/bgmp0/st_lamp128_wh3k
{
	qer_editorimage textures/bgmp0/st_lamp128.tga
	q3map_lightimage textures/bgmp0/st_lamp128.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map textures/bgmp0/st_lamp128.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_lamp128.blend.tga
		blendfunc add
	}
}

//panels//
textures/bgmp0/st_hl128_wh2k
{
	qer_editorimage textures/bgmp0/st_hpan128_lamp.tga
	q3map_lightimage textures/bgmp0/st_128_lamp_white.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_hpan128_lamp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_128_lamp_white.blend.tga
		blendfunc add
		rgbGen wave noise 0.8 2 2 23 
	}
}

textures/bgmp0/st_hl128_cyan2k
{
	qer_editorimage textures/bgmp0/st_hpan128_lamp.tga
	q3map_lightimage textures/bgmp0/st_128_lamp_cyan.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_hpan128_lamp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_128_lamp_cyan.blend.tga
		blendfunc add
		rgbGen wave noise 0.7 2 2 3 
	}
}

textures/bgmp0/st_hl128_blue2k
{
	qer_editorimage textures/bgmp0/st_hpan128_lamp.tga
	q3map_lightimage textures/bgmp0/st_128_lamp_blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_hpan128_lamp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_128_lamp_blue.blend.tga
		blendfunc add
		rgbGen wave noise 0.8 1.4 2 23 
	}
}

textures/bgmp0/st_hpl_wh2k
{
	qer_editorimage textures/bgmp0/st_hpan2_2b_lamp.tga
	q3map_lightimage textures/bgmp0/st_hpan2_4_la_white.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_hpan2_2b_lamp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_hpan2_4_la_white.blend.tga
		blendfunc add
	}
}

textures/bgmp0/st_hpl_cyan2k
{
	qer_editorimage textures/bgmp0/st_hpan2_2b_lamp.tga
	q3map_lightimage textures/bgmp0/st_hpan2_4_la_cyan.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_hpan2_2b_lamp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_hpan2_4_la_cyan.blend.tga
		blendfunc add
	}
}

textures/bgmp0/st_hpl4_wh2k
{
	qer_editorimage textures/bgmp0/st_hpan2_4_la.tga
	q3map_lightimage textures/bgmp0/st_hpan2_4_la_white.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_hpan2_4_la.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_hpan2_4_la_white.blend.tga
		blendfunc add
	}
}

textures/bgmp0/st_hpl4_cyan2k
{
	qer_editorimage textures/bgmp0/st_hpan2_4_la.tga
	q3map_lightimage textures/bgmp0/st_hpan2_4_la_cyan.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/bgmp0/st_hpan2_4_la.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_hpan2_4_la_cyan.blend.tga
		blendfunc add
	}
}

//floors jumppads bounce bounce!//
textures/bgmp0/st_floor1_pad1or
{
	qer_editorimage textures/bgmp0/st_floor1_pad1.tga
	q3map_lightimage textures/bgmp0/st_floor1_pad1.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/bgmp0/st_floor1_pad1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_floor1_pad1.blend.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1.2 2 0.6 
	}
}

textures/bgmp0/st_floor1_pad2or
{
	qer_editorimage textures/bgmp0/st_floor1_pad2.tga
	q3map_lightimage textures/bgmp0/st_floor1_pad2.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/bgmp0/st_floor1_pad2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_floor1_pad2.blend.tga
		blendfunc add
		rgbGen wave triangle 0 1 0.3 0.7 
	}
}

textures/bgmp0/st__pad1bor
{
	qer_editorimage textures/bgmp0/st__pad1b.tga
	q3map_lightimage textures/bgmp0/st_floor1_pad1.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map textures/bgmp0/st__pad1b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_floor1_pad1.blend.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1.2 2 0.7 
		tcMod stretch inversesawtooth 0.95 0.1 0.1 0.7 
	}
}

textures/bgmp0/st__pad1bcyan
{
	qer_editorimage textures/bgmp0/st__pad1b.tga
	q3map_lightimage textures/bgmp0/st__pad1bcyan.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 600
	{
		map textures/bgmp0/st__pad1b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st__pad1bcyan.blend.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1.2 2 0.7 
		tcMod stretch inversesawtooth 0.95 0.1 0.1 0.7 
	}
}

textures/bgmp0/st_floor1_pad3_white
{
	qer_editorimage textures/bgmp0/st_floor1_pad3_.tga
	q3map_lightimage textures/bgmp0/st_floor1_pad2wh.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 600
	{
		map textures/bgmp0/st_floor1_pad3_.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmp0/st_floor1_pad2wh.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0 1 1 0.9 
	}
}

textures/bgmp0/seeingred512
{
	qer_editorimage textures/bgmp0/seeingred512_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 22
	surfaceparm sky
	q3map_sun 0.462 1.000 0.850 40 0 30
	skyparms env/bgmp0/seeingred512 - -
}

textures/bgmp0/spa-jump512
{
	qer_editorimage textures/bgmp0/spa-jump512_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 22
	surfaceparm sky
	q3map_sun 0.462 1.000 0.850 40 0 30
	skyparms env/bgmp0/spa-jump512 - -
}


/////////////////////////////////
//   gragrel tranquil light    //   
/////////////////////////////////

models/mapobjects/graglerlite/gliteoven
{
	surfaceparm nolightmap
	{
		map models/mapobjects/graglerlite/gliteoven.tga
		blendFunc GL_ONE GL_ZERO
	}
	{
		map models/mapobjects/graglerlite/gliteoven_fx.tga
		blendFunc GL_ONE GL_ONE
	}
}
models/mapobjects/graglerlite/glitehed
{
	surfaceparm nolightmap
	{
		map models/mapobjects/graglerlite/glitehed.tga
		blendFunc GL_ONE GL_ZERO
	}
	{
		map models/mapobjects/graglerlite/glitehed_fx.tga
		blendFunc GL_ONE GL_ONE
	}
}
models/mapobjects/graglerlite/liteild1
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/graglerlite/liteild1.tga
                blendFunc GL_ONE GL_ONE
		tcMod scroll -.09 0
	}
        {
		map models/mapobjects/graglerlite/liteild1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll .1 0
        }
     
}