textures/bgmpii/grid_light_finko
{
	qer_editorimage textures/bgmpii/e8tinylight.tga
	q3map_lightimage textures/bgmpii/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map textures/bgmpii/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmpii/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/bgmpii/e8tmtllight2
{
	qer_editorimage textures/bgmpii/e8tmtllight2b.tga
	q3map_lightimage textures/bgmpii/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map textures/bgmpii/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmpii/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

textures/bgmpii/fire_jumppad
{
	qer_editorimage textures/bgmpii/fire_jp.tga
	q3map_lightimage textures/bgmpii/e8redjump_fx.tga
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/bgmpii/e8redjump_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/bgmpii/fire_jp.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmpii/fire_steam
{
	qer_editorimage textures/bgmpii/steam_add.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	deformVertexes wave 50 sin 0 4 0 0.3 
	deformVertexes move 0.3 0.1 0 sin 0 0.5 0 0.2 
	{
		map textures/bgmpii/steam_add.tga
		blendfunc add
		tcMod scroll 0 0.3
	}
}

textures/bgmpii/fire_waterfall
{
	qer_editorimage textures/bgmpii/water04.tga
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/bgmpii/water04.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 -3.5
	}
}

textures/bgmpii/bgmp7_banner
{
	qer_editorimage textures/bgmpii/bgmp7_flag.tga
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes wave 194 sin 0 3 0 0.4 
	tessSize 64
	{
		map textures/sfx/firegorre.tga
		rgbGen identity
		tcMod scroll 0 1
	}
	{
		map textures/bgmpii/bgmp7_flag.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmpii/torch
{
	qer_editorimage textures/bgmpii/bgmp7_torch1.tga
	q3map_lightimage textures/bgmpii/bgmp7_torch1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	q3map_surfacelight 600
	{
		animmap 50 textures/bgmpii/bgmp7_torch1.tga textures/bgmpii/bgmp7_torch1.tga textures/bgmpii/bgmp7_torch2.tga textures/bgmpii/bgmp7_torch2.tga 
		blendfunc add
	}
}

textures/bgmpii/bgmp7_movie
{
	qer_editorimage textures/bgmpii/bgmp9_movie.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	{
		map textures/bgmpii/shiny_black.tga
		rgbGen identity
		tcGen environment 
	}
	{
		videomap bgmp7.roq
		blendfunc add
		rgbGen identity
	}
}

textures/bgmpii/bgmp7_fireswirl
{
	qer_editorimage textures/sfx/fireswirl2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		clampmap textures/sfx/fireswirl2.tga
		rgbGen identity
		tcMod rotate 512
		depthWrite
	}
}

textures/bgmpii/bgmp7_vortex
{
	qer_editorimage textures/bgmpii/bgmp7_orange_vortex.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
	{
		map textures/bgmpii/bgmp7_orange_vortex.tga
		blendfunc add
		tcMod turb 0 0.25 0 0.5
		tcMod scroll 1 1
		tcGen environment 
	}
}

textures/bgmpii/bgmp7_soft_landing
{
	qer_editorimage textures/bgmpii/bgmp7_softspot.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmpii/bgmp7_softspot.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/bgmpii/bgmp7_rollerpad
{
	qer_editorimage textures/bgmpii/bgmp7_rollerpad.tga
	surfaceparm nodamage
	surfaceparm nomarks
	{
		map textures/bgmpii/bgmp7_track.tga
		rgbGen identity
		tcMod scroll 0 1
	}
	{
		map textures/bgmpii/bgmp7_rollerpad.tga
		blendfunc blend
		rgbGen identityLighting
	}
	{
		map textures/bgmpii/bgmp7_rollpad_effect.tga
		blendfunc add
		rgbGen wave inversesawtooth 0.5 1 5 0.5 
	}
}

textures/bgmpii/lava_pewter
{
	{
		map textures/bgmpii/orange_fx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmpii/r_steam1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	deformVertexes autosprite2

	{
		animMap 14 textures/bgmpii/r_steam1.tga textures/bgmpii/r_steam1.tga textures/bgmpii/r_steam2.tga textures/bgmpii/r_steam2.tga textures/bgmpii/r_steam3.tga textures/bgmpii/r_steam3.tga textures/bgmpii/r_steam4.tga textures/bgmpii/r_steam4.tga textures/bgmpii/r_steam5.tga textures/bgmpii/r_steam5.tga textures/bgmpii/r_steam6.tga textures/bgmpii/r_steam6.tga textures/bgmpii/r_steam7.tga textures/bgmpii/r_steam7.tga textures/bgmpii/r_steam8.tga textures/bgmpii/r_steam8.tga
		blendFunc add
		
	}	
	

}
models/mapobjects/telestecki/teleglow_hack
{
	deformVertexes autosprite
	surfaceparm	trans
     	nomipmaps


	{
		clampmap models/mapobjects/telestecki/teleglow_bgmphack.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0 1.5
		tcMod rotate 60
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
	{
		clampmap models/mapobjects/telestecki/teleglow_bgmphack.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.20
		tcMod rotate -20
		rgbGen wave sawtooth .75 .5 .1 1.20
	}
}

models/mapobjects/telestecki/teleglow_hack2
{
	deformVertexes autosprite
     	surfaceparm	trans
     	nomipmaps

	{
		clampmap models/mapobjects/telestecki/teleglow_bgmphack.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap models/mapobjects/telestecki/teleglow_bgmphack.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .5 1.5
	}
}

// This file was automatically created by Particle Studio.
// For more information about Particle Studio, please
// visit http://www.quake3stuff.com/freebrief

// If this file was created with work-around code switched on,
// you will have to remove all occurences of the string
// "//-UNCMT4RELEASE-//" after you compile the map.
// 
// If you forget to do this,  your particles will look flat and 
// will have misaligned textures.

textures/bgmpii/psi_steam_1
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
nomipmaps
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -15.722013 -9.924245 35.416489 sawtooth 0 1 0.419259 12.500000
{
clampmap textures/bgmpii/steam1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.419259 12.500000
rgbGen wave sawtooth 1.000000 -0.100000 0.419259 12.500000
tcMod stretch sawtooth 1.000000 -3.132908 0.419259 12.500000
blendfunc blend
}
}

textures/bgmpii/psi_steam_2
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
nomipmaps
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -18.482246 -11.679929 33.496056 sawtooth 0 1 0.159180 12.500000
{
clampmap textures/bgmpii/steam1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.159180 12.500000
rgbGen wave sawtooth 1.000000 -0.100000 0.159180 12.500000
tcMod stretch sawtooth 1.000000 -2.600055 0.159180 12.500000
blendfunc blend
}
}

textures/bgmpii/psi_steam_3
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
nomipmaps
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -17.084181 -14.333425 33.206680 sawtooth 0 1 -0.425188 12.500000
{
clampmap textures/bgmpii/steam1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.425188 12.500000
rgbGen wave sawtooth 1.000000 -0.100000 -0.425188 12.500000
tcMod stretch sawtooth 1.000000 7.520494 -0.425188 12.500000
blendfunc blend
}
}

textures/bgmpii/psi_steam_4
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
nomipmaps
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -19.476336 5.007177 34.577457 sawtooth 0 1 0.055783 12.500000
{
clampmap textures/bgmpii/steam1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.055783 12.500000
rgbGen wave sawtooth 1.000000 -0.100000 0.055783 12.500000
tcMod stretch sawtooth 1.000000 -0.844630 0.055783 12.500000
blendfunc blend
}
}

textures/bgmpii/psi_steam_5
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
nomipmaps
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -21.715502 -1.936137 33.536369 sawtooth 0 1 -0.257062 12.500000
{
clampmap textures/bgmpii/steam1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.257062 12.500000
rgbGen wave sawtooth 1.000000 -0.100000 -0.257062 12.500000
tcMod stretch sawtooth 1.000000 3.904660 -0.257062 12.500000
blendfunc blend
}
}

textures/bgmpii/psi_steam_6
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
nomipmaps
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -17.558331 2.604944 35.845768 sawtooth 0 1 -0.096413 12.500000
{
clampmap textures/bgmpii/steam1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.096413 12.500000
rgbGen wave sawtooth 1.000000 -0.100000 -0.096413 12.500000
tcMod stretch sawtooth 1.000000 4.378918 -0.096413 12.500000
blendfunc blend
}
}

textures/bgmpii/psi_steam_7
{
qer_editorimage textures/particle_studio/editor.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
nomipmaps
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -15.699704 -11.532754 34.935867 sawtooth 0 1 -0.329543 12.500000
{
clampmap textures/bgmpii/steam1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 -0.329543 12.500000
rgbGen wave sawtooth 1.000000 -0.100000 -0.329543 12.500000
tcMod stretch sawtooth 1.000000 -2.137394 -0.329543 12.500000
blendfunc blend
}
}

textures/bgmp7_terrain/terrain_0
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
	{
		map textures/bgmpii/terrainlava.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp7_terrain/terrain_1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
	{
		map textures/bgmpii/stone3_2.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp7_terrain/terrain_2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
	{
		map textures/bgmpii/stone3_c2.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp7_terrain/terrain_0to1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
	
	{
		map textures/bgmpii/terrainlava.tga
	}
	{
		map textures/bgmpii/stone3_2.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp7_terrain/terrain_0to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
	
	{
		map textures/bgmpii/terrainlava.tga
	}
	{
		map textures/bgmpii/stone3_c2.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp7_terrain/terrain_1to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
	
	{
		map textures/bgmpii/stone3_2.tga
	}
	{
		map textures/bgmpii/stone3_c2.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp7_terrain/terrain_vx
{
	{
		map textures/bgmpii/terrainlava.tga
		rgbGen vertex
	}
}

models/mapobjects/flame/flame
{
	surfaceparm alphashadow
	cull disable
	{
		animmap 15 models/mapobjects/flame/flame.jpg models/mapobjects/flame/flame01.jpg models/mapobjects/flame/flame02.jpg models/mapobjects/flame/flame03.jpg models/mapobjects/flame/flame04.jpg models/mapobjects/flame/flame05.jpg
		blendfunc add
		rgbGen identity
	}
}

models/mapobjects/flame/lord
{
	 {
		map models/mapobjects/flame/flame.jpg
		tcMod scroll 1 1
		rgbGen identity
	}
	{
		map models/mapobjects/flame/lord.tga
		blendfunc blend
		rgbgen vertex
	}	
}

models/mapobjects/ka_light/light
{
	qer_editorimage textures/base_light/light2.tga
	surfaceparm nomarks
	q3map_surfacelight 4000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ka_light/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
}

models/mapobjects/ka_light/lens
{
	cull disable
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm nolightmap

	{
		map models/mapobjects/ka_light/lens.tga
		blendFunc Add
		rgbGen identity
	}
}

// Dragonheart skybox shader by Kell 16th November 2002

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/skies/dragonheart
{
	qer_editorimage textures/skies/dragonheart.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 111
	q3map_sun 1 0.9 0.8 80 270 60
	skyparms env/dragonheart/dragonheart - -
}

//TELEPORT MAP OBJECT BY STECKI - stecki@quakerally.com

//THESE ARE THE INSIDE LIGHTS OF THE MAIN RING

models/mapobjects/telestecki/telelite04
{

        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telestecki/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telestecki/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	{
		map models/mapobjects/telestecki/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 0 .5
	}
}

models/mapobjects/telestecki/telelite03
{

        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telestecki/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telestecki/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	{
		map models/mapobjects/telestecki/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .25 .5

	}
}

models/mapobjects/telestecki/telelite02
{
        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telestecki/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telestecki/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	
	{
		map models/mapobjects/telestecki/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .5 .5

	}
}

models/mapobjects/telestecki/telelite01
{
        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telestecki/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telestecki/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	
	{
		map models/mapobjects/telestecki/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .75 .5

	}
}

//GLOWING CENTER FAUX PARTICLES

models/mapobjects/telestecki/teleglow01
{
	deformVertexes autosprite
     	surfaceparm	trans
     	nomipmaps

	{
		clampmap models/mapobjects/telestecki/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap models/mapobjects/telestecki/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .5 1.5
	}
}


models/mapobjects/telestecki/teleglow02
{
	deformVertexes autosprite
	surfaceparm	trans
     	nomipmaps


	{
		clampmap models/mapobjects/telestecki/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0 1.5
		tcMod rotate 60
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
	{
		clampmap models/mapobjects/telestecki/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.20
		tcMod rotate -20
		rgbGen wave sawtooth .75 .5 .1 1.20
	}
}


//MAIN TELEPORT SURFACES

models/mapobjects/telestecki/telemain
{
        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
        {
                map models/mapobjects/telestecki/telemain.tga
                blendFunc blend
                rgbGen vertex
        }
}

//TELEPORTER RAILING

models/mapobjects/telestecki/telerail

{
     cull disable
        {
                map models/mapobjects/telestecki/telemain.tga
                //blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                //alphaFunc GT0
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }


}

//TELEPAD

models/mapobjects/telestecki/telepad
{
        {
                map textures/effects/tinfx2c.tga
                tcGen environment
                rgbGen identity
        }
        {
                map models/mapobjects/telestecki/telepad.tga
                blendFunc blend
                rgbGen vertex
        }
}

// Slime adapted from id's liquids/slime1
textures/tm5_shallow/slime1
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 100
	cull disable

	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		
}

// TM5 logo
textures/tm5_shallow/tm5
{
	qer_editorimage textures/tm5_shallow/tm5.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset

	{
		map textures/tm5_shallow/tm5.tga
		rgbgen identity
		blendfunc add
	}

}

textures/common/terrain
{
	surfaceparm nodraw
	surfaceparm nomarks
 	surfaceparm nolightmap
}

// Terrain shaders excreted by Easygen
//
// 17.10.02 Fixed Easygen using jpg extensions - which oddly was working in game!?
//
textures/tm5_shallow/terrain_0
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/grassy.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}

textures/tm5_shallow/terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/earthy.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}

textures/tm5_shallow/terrain_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/colour.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}

textures/tm5_shallow/terrain_0to1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/grassy.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/tm5_shallow/earthy.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/tm5_shallow/terrain_0to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/grassy.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/tm5_shallow/colour.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/tm5_shallow/terrain_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/earthy.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
	}
	{
		map textures/tm5_shallow/colour.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

// Vertex mode terrain shader
textures/tm5_shallow/terrainvertex
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/tm5_shallow/colour.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}

textures/bgmpii/puff1
{
	surfaceparm trans
	surfaceparm nolightmap
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.0 0.8
	deformvertexes move 0 20 0 sin 0 1 0.0 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none	
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 360
	        tcMod stretch Sawtooth        0.1 1.0 0.0 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.0 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/bgmpii/puff2
{
	surfaceparm trans
	surfaceparm nolightmap
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.1 0.8
	deformvertexes move 0 20 0 sin 0 1 0.5 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 350
	        tcMod stretch Sawtooth        0.1 1.0 0.1 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.1 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/bgmpii/puff3
{
	surfaceparm trans
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.2 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 370
	        tcMod stretch Sawtooth 	      0.1 1.0 0.2 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.2 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/bgmpii/puff4
{
	surfaceparm trans
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.3 0.8
	deformvertexes move 0 20 0 sin 0 1 0.7 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 380
	        tcMod stretch Sawtooth        0.1 1.0 0.3 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.3 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/bgmpii/puff5
{
	surfaceparm trans
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.4 0.8
	deformvertexes move 0 20 0 sin 0 1 0.1 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		tcMod rotate 390
		clampmap textures/bgmpii/puffeffect.tga
	        tcMod stretch Sawtooth        0.1 1.0 0.4 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.4 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/bgmpii/puff6
{
	surfaceparm trans
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.5 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 400
	        tcMod stretch Sawtooth        0.1 1.0 0.5 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.5 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/bgmpii/puff7
{
	surfaceparm trans
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.6 0.8
	deformvertexes move 0 20 0 sin 0 1 0.3 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 375
	        tcMod stretch Sawtooth        0.1 1.0 0.6 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.6 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
textures/bgmpii/puff8
{
	surfaceparm trans
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.7 0.8
	deformvertexes move 0 20 0 sin 0 1 0.9 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 355
	        tcMod stretch Sawtooth        0.1 1.0 0.7 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.7 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/bgmpii/puff9
{
	surfaceparm trans
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.8 0.8
	deformvertexes move 0 20 0 sin 0 1 0.2 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 330
	        tcMod stretch Sawtooth        0.1 1.0 0.8 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.8 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}

textures/bgmpii/puff10
{
	surfaceparm trans
	surfaceparm nolightmap	
	deformvertexes autosprite
	deformvertexes move 0 0 400 Sawtooth 0 1 0.9 0.8
	deformvertexes move 0 20 0 sin 0 1 0.5 0.01
	qer_editorimage textures/bgmpii/puffeditor.tga
	cull none
	{
		clampmap textures/bgmpii/puffeffect.tga
		tcMod rotate 345
	        tcMod stretch Sawtooth        0.1 1.0 0.9 0.8
		AlphaGen wave Inversesawtooth 0.0 1.0 0.9 0.8
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		
	}
}
