textures/bgmpii/evil6_grate
{
	qer_editorimage textures/evil6_floors/e6bsegrtflr256.tga
        surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
        nopicmip
        nomipmaps
	cull none

	{
		map textures/evil6_floors/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/bgmpii/pitted_rust3_black_trans
{
	qer_editorimage textures/gothic_trim/pitted_rust3_black.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/gothic_trim/pitted_rust3_black.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}

textures/bgmpii/bb_lavaflow
{
qer_editorimage textures/bgmpii/bgmp2_lava.tga
surfaceparm lava
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm trans
cull disable
tessSize 256
q3map_surfacelight 1000
q3map_globaltexture
{
map textures/bgmpii/bgmp2_lava.tga
rgbGen identity
tcMod scroll 0 -0.8
tcMod turb 0 0.15 0 0.2
}
}


textures/bgmpii/charon_light
{
	qer_editorimage textures/bgmpii/finko_lightpanel_grime.tga
	q3map_lightimage textures/bgmpii/finko_lightpanel_light.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bgmpii/finko_lightpanel_grime.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bgmpii/finko_lightpanel_light.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/bgmpii/qf_scroll_jumppad
{
qer_editorimage textures/bgmpii/scroll_jp.tga
cull disable
q3map_globaltexture
{
map textures/bgmpii/scroll_jp.tga
rgbGen identity
tcMod scroll 0 -0.8
}
}
textures/bgmpii/bgflag_logo_blue
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/bgmpii/bgflag_logo_blue.tga
		rgbGen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/bgmpii/bgflag_logo_blue.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}
textures/bgmpii/bgmp2_metal_jp_01
{
	qer_editorimage textures/bgmpii/bgmp2_metal_jp_01.tga
      q3map_lightimage textures/bgmpii/e8orangejump_fx.tga
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/bgmpii/e8orangejump_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/bgmpii/bgmp2_metal_jp_01.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/bgmpii/bgmpii_metal_panel_fire
{
  qer_editorimage textures/bgmpii/bgmpii_metal_floor_panel.tga
  surfaceparm metalsteps
  q3map_surfacelight 100
  q3map_lightimage textures/sfx/firegorre.tga


  {
		map textures/sfx/firegorre.tga
                tcmod scroll 0 1
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
  }
  {
	        map textures/bgmpii/bgmpii_metal_floor_panel.tga
		blendFunc blend
	        rgbGen identity
  }
  {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
  }
  
}

textures/bgmpii/bgmp2_metal_wall_fire
{
  qer_editorimage textures/bgmpii/bgmp2_metal_lava_wall.tga
  q3map_surfacelight 100
  q3map_lightimage textures/sfx/firegorre.tga


  {
map textures/bgmpii/bgmp2_lava.tga
rgbGen identity
tcMod scroll 0 -0.3
}
  {
	        map textures/bgmpii/bgmp2_metal_lava_wall.tga
		blendFunc blend
	        
  }
  {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
  }
  
}
textures/bgmpii/bgmpii_launch_round
{
        qer_editorimage textures/bgmpii/bgmp2_round_launch.tga
	surfaceparm metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip	
        {
                map textures/bgmpii/qfraggel_GT_jumppad_wall.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
                tcmod scroll 0 .5
        }
        {
		map textures/bgmpii/bgmp2_round_launch.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
}


textures/bgmpii/firesky
{
	qer_editorimage textures/sfx/firegorre.tga
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_sun .9 .9 1 70 65 78
	q3map_surfacelight 80
	skyparms - 512 -
	{
		map textures/sfx/firegorre.tga
		tcMod scroll 0 0.4
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/sfx/firegorre.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0 0.2
		tcMod scale 3 3
	}

}

textures/bgmpii/biglava
	{

		qer_editorimage textures/bgmpii/terrainlava.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 2500
		cull disable
		
		tesssize 1024
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/bgmpii/terrainlava.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/bgmpii/relicfx_green
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/bgmpii/relicfx_green.tga
		tcGen environment
                tcMod turb 0 0.25 0 1
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}
textures/bgmpii/bgmp2_metal_landing
{
	qer_editorimage textures/bgmpii/bgmp2_metal_landing.tga
        surfaceparm nodamage
        surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bgmpii/bgmp2_metal_landing.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
        
}
textures/bgmpii/fire_wall
{
  qer_editorimage textures/bgmpii/fire_wall.tga
  q3map_surfacelight 100
  q3map_lightimage textures/sfx/firegorre.tga


  {
		map textures/sfx/firegorre.tga
                tcmod scroll 0 1
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
  }
  {
	        map textures/bgmpii/fire_wall.tga
		blendFunc blend
	        rgbGen identity
  }
  {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
  }
  
}
textures/bgmpii/bgmp9_spawn
{
	surfaceparm	metalsteps		
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/bgmpii/bgmp9_spawn.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/bgmpii/bgmp9_logo
{
	qer_editorimage textures/bgmpii/bgmp9_logo.tga

	{
		map textures/effects/tinfx2.tga
		tcGen environment
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/bgmpii/bgmp9_logo.tga
		blendfunc gl_one gl_one_minus_src_alpha
                rgbGen identity
	}
	{
		map $lightmap
                rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/bgmpii/bgmp9_movie 
{	qer_editorimage textures/bgmpii/bgmp9_movie.tga
        surfaceparm trans
        surfaceparm nolightmap
        cull disable	
    
     {
		map textures/bgmpii/shiny_black.tga
                tcGen environment
                rgbGen identity
     }
     {		
       videomap bgmp9.roq
       blendFunc add
       rgbGen identity	
    }
}

//**********************************************************************
//
//bastir.shader for Q3Radiant
//Author: Sock - December 2001
//URL: http://www.planetquake.com/simland
//
//**********************************************************************
//LIGHT 032 - 05 : Standard stripe light, used everywhere.
//**********************************************************************
textures/bastir/lig_032-05b1-2k
{
    q3map_lightimage textures/tech1soc_sfx/032lig20b.blend.tga
    qer_editorimage textures/tech1soc_sfx/032lig20ba.tga
    q3map_surfacelight 100
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/032lig20ba.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/032lig20b.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.4 0.1 0 7
    }
}

textures/bastir/lig_032-05r1-2k
{
    q3map_lightimage textures/tech1soc_sfx/032lig20r.blend.tga
    qer_editorimage textures/tech1soc_sfx/032lig20ra.tga
    q3map_surfacelight 100
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/032lig20ra.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/032lig20r.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.4 0.1 0 7
    }
}

//**********************************************************************
//LIGHT 064 - 05 : big stripe light with small light stripe down the middle.
//**********************************************************************
textures/bastir/lig_064-05b1-2k
{
    q3map_lightimage textures/tech1soc_sfx/064lig30b.blend.tga
    qer_editorimage textures/tech1soc_sfx/064lig30ba.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/064lig30ba.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/064lig30b.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064-05b1-1k
{
    q3map_lightimage textures/tech1soc_sfx/064lig30b.blend.tga
    qer_editorimage textures/tech1soc_sfx/064lig30ba.tga
    q3map_surfacelight 500
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/064lig30ba.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/064lig30b.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064-05r1-2k
{
    q3map_lightimage textures/tech1soc_sfx/064lig30r.blend.tga
    qer_editorimage textures/tech1soc_sfx/064lig30ra.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/064lig30ra.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/064lig30r.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064-05r1-1k
{
    q3map_lightimage textures/tech1soc_sfx/064lig30r.blend.tga
    qer_editorimage textures/tech1soc_sfx/064lig30ra.tga
    q3map_surfacelight 500
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/064lig30ra.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/064lig30r.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

//**********************************************************************
//LIGHT 064z - 01 : 1 small wall/floor light
//**********************************************************************
textures/bastir/lig_064z-01b1-1k
{
    q3map_lightimage textures/tech1soc_sfx/zdetlig01b.blend.tga
    qer_editorimage textures/bastir/zdetlig01ba1k.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/zdetlig01ba.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/zdetlig01b.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064z-01b1-2k
{
    q3map_lightimage textures/tech1soc_sfx/zdetlig01b.blend.tga
    qer_editorimage textures/tech1soc_sfx/zdetlig01ba.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/zdetlig01ba.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/zdetlig01b.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064z-01r1-1k
{
    q3map_lightimage textures/tech1soc_sfx/zdetlig01r.blend.tga
    qer_editorimage textures/bastir/zdetlig01ra1k.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/zdetlig01ra.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/zdetlig01r.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064z-01r1-2k
{
    q3map_lightimage textures/tech1soc_sfx/zdetlig01r.blend.tga
    qer_editorimage textures/tech1soc_sfx/zdetlig01ra.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/zdetlig01ra.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/zdetlig01r.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

//**********************************************************************
//LIGHT 064z - 04 : Lights used on corner detail structures
//**********************************************************************
textures/bastir/lig_064z-04b2-1k
{
    q3map_lightimage textures/tech1soc_sfx/zdetlig04b.blend.tga
    qer_editorimage textures/bastir/zdetlig04bb1k.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/zdetlig04bb.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/zdetlig04b.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064z-04b2-2k
{
    q3map_lightimage textures/tech1soc_sfx/zdetlig04b.blend.tga
    qer_editorimage textures/tech1soc_sfx/zdetlig04bb.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/zdetlig04bb.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/zdetlig04b.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064z-04r2-1k
{
    q3map_lightimage textures/tech1soc_sfx/zdetlig04r.blend.tga
    qer_editorimage textures/bastir/zdetlig04rb1k.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/zdetlig04rb.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/zdetlig04r.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

textures/bastir/lig_064z-04r2-2k
{
    q3map_lightimage textures/tech1soc_sfx/zdetlig04r.blend.tga
    qer_editorimage textures/tech1soc_sfx/zdetlig04rb.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/tech1soc_sfx/zdetlig04rb.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/zdetlig04r.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

//**********************************************************************
//LIGHT 128 - 02 : Big Square light which can be cut into smaller vers.
//**********************************************************************
textures/bastir/lig_128-02b1-2k
{
    q3map_lightimage textures/tech1soc_sfx/sqrlig03b.blend.tga
    qer_editorimage textures/tech1soc_sfx/sqrlig03ba.tga
    q3map_surfacelight 1200
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/sqrlig03ba.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/sqrlig03b.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.3 0.1 0 0.5
    }
}

textures/bastir/lig_128-02r1-2k
{
    q3map_lightimage textures/tech1soc_sfx/sqrlig03r.blend.tga
    qer_editorimage textures/tech1soc_sfx/sqrlig03ra.tga
    q3map_surfacelight 1200
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/sqrlig03ra.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/tech1soc_sfx/sqrlig03r.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.3 0.1 0 0.5
    }
}

//**********************************************************************
//PLASMA : 64x256 Blue Plasma Energy flows
//**********************************************************************
textures/bastir/064z-15ba-50
{
    q3map_lightimage textures/bastir/zplasma_blueflow.tga
    qer_editorimage textures/bastir/064-15ba-arw.tga
    q3map_surfacelight 50
    {
        map textures/bastir/zplasma_blueflow.tga
        rgbGen wave sin 1.25 0.15 0 0.5
        tcMod scroll -1 0
    }
    {
        map textures/tech1soc_trim/064-15a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/bastir/064z-15ra-50
{
    q3map_lightimage textures/bastir/zplasma_redflow.tga
    qer_editorimage textures/bastir/064-15ra-arw.tga
    q3map_surfacelight 50
    {
        map textures/bastir/zplasma_redflow.tga
        rgbGen wave sin 1.25 0.15 0 0.5
        tcMod scroll -1 0
    }
    {
        map textures/tech1soc_trim/064-15a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

//**********************************************************************
//Sky for BLUE base (Blue top layer)
//**********************************************************************
textures/bastir/skyblue
{
    //Blue Clouds
    //Grey Base Clouds
    qer_editorimage textures/bastir/viewBLUE.tga
    q3map_lightimage env/nightball/nightball_up.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    surfaceparm sky
    q3map_sun 0.894 0.933 1.00 150 250 15
    skyparms env/frozendusk/frozendusk - -
    {
        map textures/skies/topclouds.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 3 2
        tcMod scroll 0.025 0.025
    }
}

//**********************************************************************
//Sky for MIDDLE ground (Grey top layer)
//**********************************************************************
textures/bastir/skymid
{
    qer_editorimage textures/bastir/viewMID.tga
    q3map_lightimage env/nightball/nightball_up.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    surfaceparm sky
    q3map_sun 0.894 0.933 1.00 150 250 15
    skyparms env/frozendusk/frozendusk - -
    {
        map textures/skies/dimclouds.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 3 2
        tcMod scroll 0.025 0.025
    }
}

//**********************************************************************
//Sky for RED base (Red top layer)
//**********************************************************************
textures/bastir/skyred
{
    //Red Clouds
    //Grey Base Clouds
    qer_editorimage textures/bastir/viewRED.tga
    q3map_lightimage env/nightball/nightball_up.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    surfaceparm sky
    q3map_sun 0.894 0.933 1.00 150 250 15
    skyparms env/frozendusk/frozendusk - -
    {
        map textures/bastir/topredclouds.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 3 2
        tcMod scroll 0.025 0.025
    }
}

//**********************************************************************
//Flagroom ground fog
//**********************************************************************
textures/bastir/fog_flagroom
{
    qer_editorimage textures/sfx/fog_grey.tga
    q3map_surfacelight 1
    q3map_globaltexture
    surfaceparm fog
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nodrop
    fogparms ( 0.2 0.2 0.25 ) 128
    {
        map textures/liquids/kc_fogcloud3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        tcMod scale -0.05 -0.05
        tcMod scroll 0.01 -0.01
    }
    {
        map textures/liquids/kc_fogcloud3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        tcMod scale 0.05 0.05
        tcMod scroll 0.01 -0.01
    }
}

//**********************************************************************
//FLOOR 15A
//
//Jump Pads - 1 rot swirl + 1 jumppad stretch
//**********************************************************************
textures/bastir/jpblue_floor15a
{
    q3map_lightimage textures/bastir/jumppadsmall_b.tga
    qer_editorimage textures/bastir/jp15a_blue.tga
    q3map_surfacelight 400
    {
        map textures/bastir/jumppadsmall_b.tga
        tcMod rotate 180
        tcMod stretch sin 1 0.1 0 0.5
    }
    {
        clampmap textures/bastir/jumppadsmall_b.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod stretch inversesawtooth 1 2 0 1.5
    }
    {
        map textures/tech1soc_floor/jp15a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/bastir/jpred_floor15a
{
    q3map_lightimage textures/bastir/jumppadsmall_r.tga
    qer_editorimage textures/bastir/jp15a_red.tga
    q3map_surfacelight 400
    {
        map textures/bastir/jumppadsmall_r.tga
        tcMod rotate 180
        tcMod stretch sin 1 0.1 0 0.5
    }
    {
        clampmap textures/bastir/jumppadsmall_r.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod stretch inversesawtooth 1 2 0 1.5
    }
    {
        map textures/tech1soc_floor/jp15a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

//**********************************************************************
//WEAPON MARKERS (DM - built into BSP, DM2 - TA model2's)
//
//Weapon marker - 1 rot teleport swirl + 1 fire swirl
//**********************************************************************
models/mapobjects/soc_t1spawn1/dmspawn_blue
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_blue.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_blue.tga
    q3map_surfacelight 100
    {
        map textures/bastir/jumppadsmall_b.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/bastir/jumppadsmall_b.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

models/mapobjects/soc_t1spawn1/dmspawn_red
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_red.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_red.tga
    q3map_surfacelight 100
    {
        map textures/bastir/jumppadsmall_r.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/bastir/jumppadsmall_r.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

models/mapobjects/soc_t1spawn1/dm2spawn_blue
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_blue.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_blue.tga
    q3map_surfacelight 100
    {
        map textures/bastir/jumppadsmall_b.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/bastir/jumppadsmall_b.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen lightingDiffuse
    }
}

models/mapobjects/soc_t1spawn1/dm2spawn_red
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_red.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_red.tga
    q3map_surfacelight 100
    {
        map textures/bastir/jumppadsmall_r.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/bastir/jumppadsmall_r.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen lightingDiffuse
    }
}

//**********************************************************************
//GRATE : 256x256 designs
//**********************************************************************
textures/bastir/grate1a_trans
{
    qer_editorimage textures/tech1soc_floor/grate1a.tga
    surfaceparm alphashadow
    surfaceparm metalsteps
    cull disable
    {
        map textures/tech1soc_floor/grate1a.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

//**********************************************************************
// Special wall TRIANGLE lights - MapModels
//**********************************************************************
models/mapobjects/soc_t1light1/lig_blank
{
    nomipmaps
    {
        map models/mapobjects/soc_t1light1/lig_blank.tga
        rgbGen vertex
    }
}

models/mapobjects/soc_t1light1/lig_mid_blue
{
    surfaceparm nomarks
    nomipmaps
    {
        map models/mapobjects/soc_t1light1/lig_mid_blue.tga
        rgbGen vertex
    }
    {
        map models/mapobjects/soc_t1light1/lig_mid_blue.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.4 0.2 0 7
    }
}

models/mapobjects/soc_t1light1/lig_mid_red
{
    surfaceparm nomarks
    nomipmaps
    {
        map models/mapobjects/soc_t1light1/lig_mid_red.tga
        rgbGen vertex
    }
    {
        map models/mapobjects/soc_t1light1/lig_mid_red.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0.6 0.1 0 7
    }
}

//**********************************************************************
//Tech style banners - Threewave versions
//**********************************************************************
textures/bastir/banner1_blue
{
    qer_editorimage textures/ctf_unified/banner02_blue.tga
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
    cull disable
    deformVertexes wave 100 sin 0 3 0 0.7
    tessSize 64
    {
        map textures/ctf_unified/banner02_blue.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/bastir/banner1_red
{
    qer_editorimage textures/ctf_unified/banner02_red.tga
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
    cull disable
    deformVertexes wave 100 sin 0 3 0 0.7
    tessSize 64
    {
        map textures/ctf_unified/banner02_red.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

//**********************************************************************
// Threewave stuff ONLY - floor directions
//**********************************************************************
textures/bastir/direction_blue
{    
	qer_editorimage textures/ctf_unified/direction_blue.tga
	polygonOffset
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   
	{
		map textures/ctf_unified/direction_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/direction_red
{    
	qer_editorimage textures/ctf_unified/direction_red.tga
	polygonOffset
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
        
	{
		map textures/ctf_unified/direction_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/pointer_left_blue
{    
	qer_editorimage textures/ctf_unified/pointer_left_blue.tga
	polygonOffset
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   
	{
		map textures/ctf_unified/pointer_left_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/pointer_left_red
{    
	qer_editorimage textures/ctf_unified/pointer_left_red.tga
	polygonOffset
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
        
	{
		map textures/ctf_unified/pointer_left_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/pointer_right_blue
{    
	qer_editorimage textures/ctf_unified/pointer_right_blue.tga
	polygonOffset
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   
	{
		map textures/ctf_unified/pointer_right_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bastir/pointer_right_red
{    
	qer_editorimage textures/ctf_unified/pointer_right_red.tga
	polygonOffset
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
        
	{
		map textures/ctf_unified/pointer_right_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/bgmp9_terrain/terrain_0
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1280 0 0 ) ( 0 1280 0 )
	{
		map textures/bgmpii/stone3_2.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp9_terrain/terrain_1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1280 0 0 ) ( 0 1280 0 )
	{
		map textures/bgmpii/terrainlava.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp9_terrain/terrain_0to1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 1280 0 0 ) ( 0 1280 0 )
	
	{
		map textures/bgmpii/stone3_2.tga
	}
	{
		map textures/bgmpii/terrainlava.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/bgmp9_terrain/terrain_vx

{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight


	{

		map textures/bgmpii/stone3_2.tga
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
	
}

//-------Shader fixed by: Karloff
//
models/mapobjects/el_jumppad/el_jumpp 
{
	{
		map models/mapobjects/el_jumppad/el_basefx.tga
		tcmod scale 1 1
		rgbGen vertex
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -500
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -250
	}
	{
		map models/mapobjects/el_jumppad/el_basefx2.tga
		tcmod scale 1 1
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
	{
		map models/mapobjects/el_jumppad/el_jumpp.tga
		blendfunc blend
		rgbGen vertex 
		alphaFunc GE128
	}
}
//-------------end shader

//**********************************************************************
//
//soc_t1spawn1.shader for Q3Radiant
//Author: Sock - March 2002
//URL: http://www.planetquake.com/simland
//
//**********************************************************************
//WEAPON MARKERS 
//
// DM version - suitable for baking into BSP's. 
// DM2 version - model2 variant. 
//      (Has different lighting because it is not baked into the BSP)
//
//Weapon marker - 2 modified rotating teleport swirls
//**********************************************************************
models/mapobjects/soc_t1spawn1/dmspawn_blue
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_blue.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_blue.tga
    q3map_surfacelight 100
    {
        map textures/textures/tech1soc_sfx/spawnsfx_blue.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/textures/tech1soc_sfx/spawnsfx_blue.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

models/mapobjects/soc_t1spawn1/dmspawn_red
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_red.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_red.tga
    q3map_surfacelight 100
    {
        map textures/textures/tech1soc_sfx/spawnsfx_red.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/textures/tech1soc_sfx/spawnsfx_red.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

models/mapobjects/soc_t1spawn1/dmspawn_gold
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_gold.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_gold.tga
    q3map_surfacelight 100
    {
        map textures/textures/tech1soc_sfx/spawnsfx_gold.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/textures/tech1soc_sfx/spawnsfx_gold.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

models/mapobjects/soc_t1spawn1/dm2spawn_blue
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_blue.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_blue.tga
    q3map_surfacelight 100
    {
        map textures/textures/tech1soc_sfx/spawnsfx_blue.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/textures/tech1soc_sfx/spawnsfx_blue.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen lightingDiffuse
    }
}

models/mapobjects/soc_t1spawn1/dm2spawn_red
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_red.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_red.tga
    q3map_surfacelight 100
    {
        map textures/textures/tech1soc_sfx/spawnsfx_red.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/textures/tech1soc_sfx/spawnsfx_red.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen lightingDiffuse
    }
}

models/mapobjects/soc_t1spawn1/dm2spawn_gold
{
    q3map_lightimage models/mapobjects/soc_t1spawn1/spawnsfx_gold.tga
    qer_editorimage models/mapobjects/soc_t1spawn1/dmspawn_gold.tga
    q3map_surfacelight 100
    {
        map textures/textures/tech1soc_sfx/spawnsfx_gold.tga
        tcMod rotate 180
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map textures/textures/tech1soc_sfx/spawnsfx_gold.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 100
        tcMod stretch sin 1.35 0.1 0 0.5
    }
    {
        map models/mapobjects/soc_t1spawn1/dmspawn.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen lightingDiffuse
    }
}

